package intrinsic.mx.messaging;

public class AbstractConsumer extends intrinsic.mx.messaging.MessageAgent {

	/** Accessors */
	public boolean subscribed;
	public double timestamp;
	public int resubscribeInterval;
	public int resubscribeAttempts;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractConsumer() {
}


/** Static Methods */

/** Methods */
public native void unsubscribe();
public native void unsubscribe(boolean arg0);
public native void fault(intrinsic.mx.messaging.messages.ErrorMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void channelDisconnectHandler(intrinsic.mx.messaging.events.ChannelEvent arg0);
public native void disconnect();
public native void receive();
public native void receive(double arg0);
public native void acknowledge(intrinsic.mx.messaging.messages.AcknowledgeMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void channelFaultHandler(intrinsic.mx.messaging.events.ChannelFaultEvent arg0);
public native void subscribe();
public native void subscribe(String arg0);

}
